var sizeUtils =
	{
		scaleDimensionsToFitWindow: function(w, h, window_w, window_h)
			{
				var result = {width: null, height: null};
				
				var ratio_w = 1;
				var ratio_h = 1;
				
				if (w > window_w)
					{
						ratio_w = w / window_w;
					}
				
				if (h > window_h)
					{
						ratio_h = h / window_h;
					}
				
				var ratio_max = numberUtils.max(ratio_w, ratio_h);
				
				result.width = parseInt(w / ratio_max);
				result.height = parseInt(h / ratio_max);
				
				return result;
			}
	};