Ext.application({
	launch: function()
		{
			proportionsManager.calculateDimensions();
			
			Globals.is_Phone = ((screen.width <= 480) || (screen.height <= 480)) ? true : false;
			
			Ext.Viewport.addListener('orientationchange', function()
				{
					app.orientationChanged();
				});
			
			componentsManager.createScreenBlockerTranslucent();
			componentsManager.createLoadingSpinnerMain();
			
			componentsManager.showScreenBlockerBusy();
			
			searchManager.attachEvents();
			
			//////////////
			app.urlReceived(window.location.href);
			//////////////
			
			window.onhashchange = function()
				{
					if (Globals.back_pressed)
						{
							windowUrl.hashChanged(window.location.hash);
						}
					else
						{
							Globals.back_pressed = true;
						}
				};
			
			window.addEventListener('message', function(e)
				{
					if (e.data.action == 'sendUrl')
						{
							app.urlReceived(window.location.href);
						}
					else if (e.data.action == 'urlSent')
						{
							app.urlReceived(e.data.params.url);
						}
					else if (e.data.action == 'orientationChanged')
						{
							window.innerWidth = parseInt(e.data.params.width);
							window.innerHeight = parseInt(e.data.params.height);
							
							app.orientationChanged(app.getOrientationFromAngle(e.data.params.orientation));
						}
				}, false);
			
//			parent.postMessage(
//				{
//					action: 'sendUrl'
//				},
//				'*'
//			);
		}
});