var translatorEngine =
	{
		containers: {},
		indexes: {},
		
		registerTranslations: function(id_container, translations_indexes)
			{
				this.containers[id_container] = translations_indexes;
			},
		
		translateElement: function(id_element)
			{
				var self = this;
				var parent_element = $('#' + id_element);
				
				if (parent_element.hasClass('not_translated'))
					{
						var container_to_translate = self.containers[id_element];
						
						for (var i = 0; i < container_to_translate.length; i++)
							{
								var idx = container_to_translate[i];
								
								parent_element.find('.lng-' + idx).each(function()
									{
										$(this).text(self.indexes['idx_' + idx]);
									});
							}
						
						parent_element.removeClass('not_translated');
						parent_element.addClass('translated');
					}
			}
	};